Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.teststeps.support
Class GotoTestStepsComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.eviware.soapui.impl.wsdl.panels.teststeps.support.GotoTestStepsComboBoxModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ComboBoxModel, javax.swing.ListModel

    public class GotoTestStepsComboBoxModel

extends javax.swing.AbstractListModel
implements javax.swing.ComboBoxModel

ComboBox-model used by combo in the WsdlGotoTestStep desktop panel for selecting a conditions target teststep

Author:
  Ole.Matzura
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`GotoTestStepsComboBoxModel(TestCase testCase, WsdlGotoTestStep.GotoCondition condition)`

Method Summary
`WsdlGotoTestStep.GotoCondition` | `getCondition()`
`java.lang.Object` | `getElementAt(int index)`
`java.lang.Object` | `getSelectedItem()`
`int` | `getSize()`
`void` | `setCondition(WsdlGotoTestStep.GotoCondition condition)`
`void` | `setSelectedItem(java.lang.Object anItem)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### GotoTestStepsComboBoxModel

    public GotoTestStepsComboBoxModel(TestCase testCase,
                                      WsdlGotoTestStep.GotoCondition condition)

Method Detail

### getCondition

    public WsdlGotoTestStep.GotoCondition getCondition()

### setCondition

    public void setCondition(WsdlGotoTestStep.GotoCondition condition)

### setSelectedItem

    public void setSelectedItem(java.lang.Object anItem)

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.